# Function allTrueR

- allTrueR(memo: any, elem: any): any

  Reduce function that returns true if all of the values are truthy.

  #### Parameters

  - memo: any
  - elem: any

  #### Returns any

  #### Example

      let vals = [ 1, true, {}, "hello world"];
      vals.reduce(allTrueR, true); // true

      vals.push(0);
      vals.reduce(allTrueR, true); // false

  - Defined in src/shared/common.js:254